Bug 739858 - Review Request: python-import-utils - A module that supports simple programmatic module imports
Summary: Review Request: python-import-utils - A module that supports simple programma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 739832
TreeView+ depends on / blocked
 
Reported: 2011-09-20 08:39 UTC by Matthias Runge
Modified: 2011-10-11 02:01 UTC (History)
3 users (show)

Fixed In Version: python-import-utils-0.0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 21:17:51 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2011-09-20 08:39:40 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-import-utils.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-import-utils-0.0.1-1.fc15.src.rpm
Description: Utilities for loading modules, supporting programmatic imports of types:

>from import_utils import import_module_from, import_module
>import x as mod_x
>mod_x = import_module('x')
>
>import x.y as mod_xy
>mod_xy = import_module('x.y')
>
>from x.y import z
>z = import_module_from('x.y.z')

-----
rpmlint -i /home/mrunge/rpmbuild/SRPMS/python-import-utils-0.0.1-1.fc15.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-import-utils-0.0.1-1.fc15.noarch.rpm ./python-import-utils.spec 
python-import-utils.src: W: spelling-error %description -l en_US xy -> x, y, xi
The value of this tag appears to be misspelled. Please double-check.

python-import-utils.noarch: W: spelling-error %description -l en_US xy -> x, y, xi
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Parag AN(पराग) 2011-09-20 09:30:52 UTC
Review:-
+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3363681
+ rpmlint output can be ignored as those are only warning messages.
+ source is verified with upstream as (sha1sum)
81c83e19252aa05be2c3d6b8cae0c3da1f94ad26  import-utils-0.0.1.tar.gz
81c83e19252aa05be2c3d6b8cae0c3da1f94ad26  ../SOURCES/import-utils-0.0.1.tar.gz
+ rest looks ok.


Suggestion:
1) you can remove comment line and macros as they are not needed for Fedora spec
2) also cleaning of buildroot is not required now in fedora.
2)  If you want to import this package for el5 also then have a look at
http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines
and http://fedoraproject.org/wiki/Packaging:Python#Macros



APPROVED.

Comment 2 Matthias Runge 2011-09-20 11:09:51 UTC
New Package SCM Request
=======================
Package Name: python-import-utils
Short Description: A module that supports simple programmatic module imports
Owners: mrunge
Branches: f15 f16 el6

Comment 3 Gwyn Ciesla 2011-09-20 15:05:21 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-09-21 20:35:57 UTC
python-2.7.2-4.2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-2.7.2-4.2.fc16

Comment 5 Fedora Update System 2011-09-21 20:36:18 UTC
python-import-utils-0.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-import-utils-0.0.1-1.fc16

Comment 6 Fedora Update System 2011-09-21 20:37:07 UTC
python-import-utils-0.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-import-utils-0.0.1-1.fc15

Comment 7 Fedora Update System 2011-09-21 20:37:51 UTC
python-import-utils-0.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-import-utils-0.0.1-1.el6

Comment 8 Matthias Runge 2011-09-21 20:40:56 UTC
(In reply to comment #4)
> python-2.7.2-4.2.fc16 has been submitted as an update for Fedora 16.
> https://admin.fedoraproject.org/updates/python-2.7.2-4.2.fc16

Wahhh, how could this happen?

Comment 9 Matthias Runge 2011-09-21 21:28:07 UTC
(In reply to comment #8)
> (In reply to comment #4)
> > python-2.7.2-4.2.fc16 has been submitted as an update for Fedora 16.
> > https://admin.fedoraproject.org/updates/python-2.7.2-4.2.fc16
> 
> Wahhh, how could this happen?

after discussion in #fedora-admin, it looks like proventesters are currently allowed to submit any package via bodhi.  I deleted the request.

Comment 10 Fedora Update System 2011-09-24 20:45:56 UTC
python-import-utils-0.0.1-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-10-04 21:17:45 UTC
python-import-utils-0.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2011-10-05 03:57:01 UTC
python-import-utils-0.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-10-11 02:01:53 UTC
python-import-utils-0.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.